#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA7,0x2C,0x53,0xB3,0x9E,0xE0,0x71,0xFC,0x31,0xC9,0x80,0xC3,
		0xE2,0x27,0xB1,0x77,0x1D,0x56,0x1C,0x9F,0x88,0x00,0xD4,0xF6,
		0x43,0xA1,0xC7,0x36,0x50,0x0F,0xC4,0xAB,0xBA,0x76,0xC1,0x81,
		0x48,0x05,0xCD,0x82,0x4D,0x7B,0xDC,0xA1,0x0B,0xA9,0xEF,0x11,
		0x22,0xAB,0x13,0xD3,0xB4,0x61,0x0E,0xA2,0xF6,0x9F,0x7C,0x50,
		0xDD,0x3F,0x42,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
